| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Signals | Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
Digikam::DArrowClickLabel Class Reference
Inheritance diagram for Digikam::DArrowClickLabel:

## Signals
void | leftClicked ()

## Public Member Functions
| DArrowClickLabel (QWidget *const parent=nullptr)
Qt::ArrowType | arrowType () const
void | setArrowType (Qt::ArrowType arrowType)
QSize | sizeHint () const override

## Protected Member Functions
void | mousePressEvent (QMouseEvent *event) override
void | mouseReleaseEvent (QMouseEvent *event) override
void | paintEvent (QPaintEvent *event) override

## Protected Attributes
Qt::ArrowType | m_arrowType = Qt::DownArrow
int | m_margin = 2
int | m_size = 8